Skip to main content
GET
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
Get one intent
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "intent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "name": "<string>",
    "description": "<string>",
    "recommendation_actions": "<string>",
    "confidence_threshold": 123,
    "is_system": true,
    "intent_llm_handle_by_response": true,
    "webhook": {
      "url": "<string>",
      "auth_token": "<string>"
    },
    "parameters": [
      {
        "key": "email",
        "default": "<string>",
        "type": "string",
        "required": true
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required
intentUuid
string<uuid>
required

Response

OK

success
boolean
data
object